
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME           => 'Amazon::Credentials',
    AUTHOR         => 'Rob Lauer <rlauer6@comcast.net>',
    VERSION_FROM   => 'lib/Amazon/Credentials.pm',
    ABSTRACT       => 'AWS credentials discoverer',
    LICENSE        => 'perl',
    PL_FILES       => {},
    EXE_FILES      =>     []
,
    PREREQ_PM      => {
      '1:5.012' => '0',
      '>=' => '0',
      'Carp' => '1.26',
      'Class::Accessor::Fast' => '0.31',
      'Config::Tiny' => '2.28',
      'Data::Dumper' => '2.145',
      'Date::Format' => '2.24',
      'English' => '1.05',
      'Exporter' => '5.68',
      'File::HomeDir' => '1.00',
      'File::chdir' => '0.1010',
      'HTTP::Request' => '6.00',
      'JSON::PP' => '2.97001',
      'LWP::UserAgent' => '6.36',
      'POSIX::strptime' => '0.13',
      'Scalar::Util' => '1.5',
      'Time::Local' => '1.2300',
      'constant' => '1.33',
      'parent' => '0.225',
      'perl' => '0',
      'strict' => '1.07',
      'warnings' => '1.13'
    },
    TEST_REQUIRES  => {
      'Cwd' => '3.40',
      'Data::Dumper' => '2.145',
      'Date::Format' => '2.24',
      'File::Path' => '2.09',
      'File::Temp' => '0.2301',
      'JSON' => '4.03',
      'JSON::PP' => '2.97001',
      'Module::Loaded' => '0.08',
      'Test::More' => '1.001014',
      'strict' => '1.07',
      'warnings' => '1.13'
    }

);
